For the complete documentation index, see llms.txt. This page is also available as Markdown.

Correlation Pairs

Lists all Correlation Pair objects.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Responses
200

Success

application/json

Response of a List Correlation Pairs request.

countinteger · int32Optional

Total number of Correlation Pair objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/CorrelationPairs/{strSessionID}
GET /memori/v2/CorrelationPairs/{strSessionID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "correlationPairs": [
    {
      "pairID": "text",
      "text1": "text",
      "text2": "text",
      "correlated": true,
      "occurrences": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists Correlation Pair objects with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

frominteger · int32Required

The 0-based index of the first Correlation Pair object to list

howManyinteger · int32Required

The number of the Correlation Pair objects to list

Responses
200

Success

application/json

Response of a List Correlation Pairs request.

countinteger · int32Optional

Total number of Correlation Pair objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/CorrelationPairs/{strSessionID}/{from}/{howMany}
GET /memori/v2/CorrelationPairs/{strSessionID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "correlationPairs": [
    {
      "pairID": "text",
      "text1": "text",
      "text2": "text",
      "correlated": true,
      "occurrences": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Adds a new Correlation Pair object.

post

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Body
pairIDstring · nullableOptional

Correlation Pair object ID.

text1string · nullableOptional

First text of the Correlation Pair, typically a question coming from a Receiver.

text2string · nullableOptional

Second text of the Correlation Pair, typically the original question introduced by the Giver.

correlatedbooleanOptional

True if the texts must be considered correlated.

occurrencesinteger · int32Optional

Number of times these the first text has been correlated to the second.

creationTimestampstring · date-time · nullableOptional

Timestamp of creation. Always present when reading/receiving an object, ignored when writing/sending an object.

creationSessionIDstring · nullableOptional

ID of the session that created this object.

lastChangeTimestampstring · date-time · nullableOptional

Timestamp of latest change. Always present when reading/receiving an object, ignored when writing/sending an object.

lastChangeSessionIDstring · nullableOptional

ID of the latest session that changed this object.

Responses
200

Success

application/json

Response of an Add Correlation Pair request.

correlationPairIDstring · nullableOptional

Correlation Pair object ID.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/memori/v2/CorrelationPair/{strSessionID}
POST /memori/v2/CorrelationPair/{strSessionID} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 233

{
  "pairID": "text",
  "text1": "text",
  "text2": "text",
  "correlated": true,
  "occurrences": 1,
  "creationTimestamp": "2026-01-01T00:00:00.000Z",
  "creationSessionID": "text",
  "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
  "lastChangeSessionID": "text"
}
200

Success

{
  "correlationPairID": "text",
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Removes an existing Correlation Pair object.

delete

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strPairIDstringRequired

The Correlation Pair object ID

Responses
200

Success

application/json

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

delete/memori/v2/CorrelationPair/{strSessionID}/{strPairID}
DELETE /memori/v2/CorrelationPair/{strSessionID}/{strPairID} HTTP/1.1
Accept: */*
200

Success

{
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Ultimo aggiornamento